
Foreman - Refactor #11729

Update fog to 2.0.0

09/08/2015 10:32 AM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Tracker for updating to Fog 2.0.0 (or whatever's after 1.34.0).

Related issues:

Related to Foreman - Refactor #11341: Update fog to 1.34.0 Closed 08/13/2015

Related to Foreman - Refactor #12494: Update fog to 1.36.0 Closed 11/16/2015

Related to Foreman - Refactor #12612: Update fog to 1.37.0 Closed 11/26/2015

Blocked by Foreman - Refactor #8884: Drop Ruby 1.9.3 support Closed 01/09/2015

History

#1 - 09/08/2015 10:33 AM - Dominic Cleal

- Related to Refactor #11341: Update fog to 1.34.0 added

#2 - 10/06/2015 04:24 AM - Dominic Cleal

- Blocked by Refactor #8884: Drop Ruby 1.9.3 support added

#3 - 10/21/2015 04:15 AM - Dominic Cleal

A v1.35.0 release has been made, but I think it incorrectly dropped support for Ruby 1.9.3 (

https://github.com/fog/fog/issues/3711#issuecomment-149810899).  If that's resolved then we may be able to update to that first.

#4 - 10/21/2015 04:16 AM - Dominic Cleal

- Blocks Bug #11332: Version 1 of the API is deprecated and will be shutdown on November 1st 2015 added

#5 - 11/14/2015 03:12 AM - Brandon Weeks

- Blocks Feature #12479: Configure API revision for vSphere Compute Resource added

#6 - 11/16/2015 10:26 AM - Dominic Cleal

- Related to Refactor #12494: Update fog to 1.36.0 added

#7 - 11/16/2015 10:27 AM - Dominic Cleal

- Subject changed from Update fog to 2.0.0 to Update fog to 1.36.0

Dominic Cleal wrote:

A v1.35.0 release has been made, but I think it incorrectly dropped support for Ruby 1.9.3 (

https://github.com/fog/fog/issues/3711#issuecomment-149810899).  If that's resolved then we may be able to update to that first.

 1.36.0 has been released which should fix this, so I've filed #12494 to pick this up.  I'll leave this ticket pointing at 2.0.0 as it's still expected to drop 1.9

support there.

#8 - 11/16/2015 10:27 AM - Dominic Cleal
https://github.com/fog/fog/issues/3711#issuecomment-149810899
https://github.com/fog/fog/issues/3711#issuecomment-149810899
https://projects.theforeman.org/issues/12494


- Subject changed from Update fog to 1.36.0 to Update fog to 2.0.0

#9 - 11/16/2015 10:58 AM - Dominic Cleal

- Blocks deleted (Bug #11332: Version 1 of the API is deprecated and will be shutdown on November 1st 2015)

#10 - 11/26/2015 05:59 AM - Dominic Cleal

- Related to Refactor #12612: Update fog to 1.37.0 added

#11 - 12/23/2015 02:42 AM - Dominic Cleal

- Blocks deleted (Feature #12479: Configure API revision for vSphere Compute Resource)

#12 - 05/10/2016 04:55 AM - Dominic Cleal

- Blocks Bug #13082: Windows images unavailable when creating GCE image entries added

#13 - 04/06/2020 01:05 PM - Kavita Gaikwad

- Blocks deleted (Bug #13082: Windows images unavailable when creating GCE image entries)

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

